// CMessageBoxWithDownloadTile - [2020-04-13 11:57:46]
#ifndef _CMESSAGEBOXWITHDOWNLOADTILE_H_
#define _CMESSAGEBOXWITHDOWNLOADTILE_H_

#include "CMessageBox.h"
#include "CFE.h"

/*
001361B8 CMessageBoxWithDownloadTile::CMessageBoxWithDownloadTile()
001361D0 CMessageBoxWithDownloadTile::~CMessageBoxWithDownloadTile()
001361D4 CMessageBoxWithDownloadTile::Init(EMessageBoxType,wchar_t const*,wchar_t *,int,int,int,int,bool,bool,bool,CMessageBoxHandler_func,void *)
00136294 CMessageBoxWithDownloadTile::Process()
001362BA CMessageBoxWithDownloadTile::Render()
001362E2 CMessageBoxWithDownloadTile::Exit()

*/

class CUIMsgShopDownload : public CUITile {
public:
  CUIMsgShopDownload(float f1, float f2);
  virtual ~CUIMsgShopDownload();
  virtual EUITileAction Process();  // 00142A14
  virtual void Render(){};
  virtual void GetMode(){};
};

class CMessageBoxWithDownloadTile : public CMessageBox {
public:
  CMessageBoxWithDownloadTile();           // 001361B8
  virtual ~CMessageBoxWithDownloadTile();  // 001361D0
  void Init(EMessageBoxType,
            wchar_t const *,
            wchar_t *,
            int,
            int,
            int,
            int,
            bool,
            bool,
            bool,
            CMessageBoxHandler_func,
            void *);      // 001361D4
  virtual int Process();  // 00136294
  void Render();          // 001362BA
  void Exit();            // 001362E2

  CUIMsgShopDownload *pCUIMsgShopDownload_84;
};

#endif  //_CMESSAGEBOXWITHDOWNLOADTILE_H_